id: http://w3id.org/gaia-x/gx-trust-framework
name: gaia-x-entity
prefixes:
  gx: https://w3id.org/gaia-x/development#
  linkml: https://w3id.org/linkml/
  httpsschema: https://schema.org/
imports:
  - linkml:types
  - slots
default_prefix: gx
default_range: string

classes:

  GaiaXEntity:
    title: Gaia-X Entity
    description: Root class for Gaia-X entities.
    abstract: true
    slots:
      - name
      - description
